package com.miaxis.app.report.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.miaxis.app.report.domain.ReportImages;

import java.util.List;

/**
 * 用户照片Service接口
 *
 * @author miaxis
 * @date 2021-01-06
 */
public interface IReportImagesService extends IService<ReportImages>{
    /**
     * 查询用户照片
     *
     * @param id 用户照片ID
     * @return 用户照片
     */
    public ReportImages selectReportImagesById(Long id);

    /**
     * 查询用户照片列表
     *
     * @param reportImages 用户照片
     * @return 用户照片集合
     */
    public List<ReportImages> selectReportImagesList(ReportImages reportImages);

    /**
     * 新增用户照片
     *
     * @param reportImages 用户照片
     * @return 结果
     */
    public int insertReportImages(ReportImages reportImages);

    /**
     * 修改用户照片
     *
     * @param reportImages 用户照片
     * @return 结果
     */
    public int updateReportImages(ReportImages reportImages);

    /**
     * 批量删除用户照片
     *
     * @param ids 需要删除的用户照片ID
     * @return 结果
     */
    public int deleteReportImagesByIds(Long[] ids);

    /**
     * 删除用户照片信息
     *
     * @param id 用户照片ID
     * @return 结果
     */
    public int deleteReportImagesById(Long id);
}
